# ANNHUB — Notification Hub DLL
add_library(ANNHUB SHARED
    ANSANNHUB.cpp
    ANSANNHUB.h
    dllmain.cpp
    pch.cpp
    pch.h
    framework.h
)

target_include_directories(ANNHUB PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${SHARED_INCLUDE_DIR}
)

target_link_libraries(ANNHUB
    PRIVATE ANSLicensingSystem
    PRIVATE anslicensing
    PRIVATE labview
)

target_compile_definitions(ANNHUB PRIVATE UNICODE _UNICODE ANNHUB_EXPORTS _USRDLL)
target_precompile_headers(ANNHUB PRIVATE pch.h)
